Skip to main content
PUT
/
visual-changesets
/
{id}
/
visual-change
/
{visualChangeId}
cURL
curl -XPUT https://api.growthbook.io/api/v1/visual-changesets/vc_123abc/visual-change/vch_abc123 \
  -d '{"variation": "v_123abc", "domMutations":"[]"}' \
  -u secret_abc123DEF456:
{
  "nModified": 123
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Path Parameters

id
string
required

The id of the requested resource

visualChangeId
string
required

Specify a specific visual change

Response

200 - application/json

Success

nModified
number
required